typedef union {
			bool                        bval;
			int         	        ival;                    
			double			rval;
			double*			rval_arr;
			char			str [ MaxMesg ];
			RCC_ViewMode::quality_t		view_qual;
			RCC_ViewMode::width_t		view_wid;
			RCC_Angle*			angle_p;
			RCC_Vector2d*			vector2d_p;
			RCC_ViewMode* 			view_mode_p;
			RCC_SenceBody* 			sence_body_p;
			RCC_ServerParam*		server_param_p;
			RCC_PlayerParam*		player_param_p;
			RCC_PlayerType*			player_type_p;
			RCC_Object::location_t	location;
			RCC_Line*			line_p;
			RCC_Flag*			flag_p;
			RCC_Ball*			ball_p;
			RCC_PlayerName*			player_name_p;
			RCC_Player*			player_p;
			RCC_Object*			object_p;
			RCC_ObjectPool*			object_pool_p;
			RCC_PlayMode*	playmode_p;
			RCC_InitMsg*			init_msg_p;
			Side	side;
			RCC_Side*	side_p;
			RCC_RefAudio*			ref_audio_p;
			RCC_SelfAudio*			self_audio_p;
			RCC_PlayerAudio*		player_audio_p;
			RCC_CoachAudio*			coach_audio_p;
			RCC_CoachStdMsg*     		coach_std_msg_p;
			RCC_CoachMetaToken*   		coach_meta_token_p;
			RCC_CoachMetaToken_List* 	coach_meta_token_list_p;
			RCC_CoachDefineToken* 		coach_define_token_p;
			RCC_CoachDefineToken_List*	coach_define_token_list_p;
			RCC_Action* 			action_p;
			RCC_Directive* 			directive_p;
			RCC_DirList*	 		dir_list_p;
			RCC_Condition* 			condition_p;
			RCC_CondList* 			cond_list_p;
			RCC_CoachInfoToken* 		coach_info_token_p;
			RCC_CoachInfoToken_List*	coach_info_token_list_p;
			RCC_Region*   			region_p;
			RCC_RegPoint* 			reg_point_p;
			RCC_RegUnion*			reg_union_p;
			RCC_UnumSet*   			unum_set_p;
			RCC_BallMoveSet*		ball_move_set_p;
			RCC_BallMoveSet::RCC_BallMove_t     ball_move;
			RCC_Score* score_p;
			RCC_Substitution* sub_p;
} YYSTYPE;
#define	ERROR	257
#define	LP	258
#define	RP	259
#define	IVAL	260
#define	RVAL	261
#define	QSTR	262
#define	CHG_VIEW_KW	263
#define	MOVE_KW	264
#define	CATCH_KW	265
#define	TURN_NECK_KW	266
#define	SAY_KW	267
#define	TURN_KW	268
#define	DASH_KW	269
#define	KICK_KW	270
#define	HIGH_KW	271
#define	LOW_KW	272
#define	NARROW_KW	273
#define	NORMAL_KW	274
#define	WIDE_KW	275
#define	VIEW_MODE_KW	276
#define	STAMINA_KW	277
#define	HEAD_ANGLE_KW	278
#define	SPEED_KW	279
#define	SENSE_BODY_KW	280
#define	SERVER_PARAM_KW	281
#define	PLAYER_PARAM_KW	282
#define	PLAYER_TYPE_KW	283
#define	T_KW	284
#define	B_KW	285
#define	L_KW	286
#define	R_KW	287
#define	F_KW	288
#define	C_KW	289
#define	P_KW	290
#define	G_KW	291
#define	D_KW	292
#define	S_KW	293
#define	GOALIE_KW	294
#define	SEE_KW	295
#define	PLAY_MODE_KW	296
#define	BEFORE_KICK_OFF_KW	297
#define	TIME_OVER_KW	298
#define	PLAY_ON_KW	299
#define	KICK_OFF_L_KW	300
#define	KICK_OFF_R_KW	301
#define	KICK_IN_L_KW	302
#define	KICK_IN_R_KW	303
#define	FREE_KICK_L_KW	304
#define	FREE_KICK_R_KW	305
#define	CORNER_KICK_L_KW	306
#define	CORNER_KICK_R_KW	307
#define	GOAL_KICK_L_KW	308
#define	GOAL_KICK_R_KW	309
#define	GOAL_L_KW	310
#define	GOAL_R_KW	311
#define	DROP_BALL_KW	312
#define	OFFSIDE_L_KW	313
#define	OFFSIDE_R_KW	314
#define	PENALTY_KICK_L_KW	315
#define	PENALTY_KICK_R_KW	316
#define	FIRST_HALF_OVER_KW	317
#define	PAUSE_KW	318
#define	HUMAN_JUDGE_KW	319
#define	FOUL_CHARGE_L_KW	320
#define	FOUL_CHARGE_R_KW	321
#define	FOUL_PUSH_L_KW	322
#define	FOUL_PUSH_R_KW	323
#define	FOUL_MULTIPLE_ATTACK_L_KW	324
#define	FOUL_MULTIPLE_ATTACK_R_KW	325
#define	FOUL_BALLOUT_L_KW	326
#define	FOUL_BALLOUT_R_KW	327
#define	INIT_KW	328
#define	HEAR_KW	329
#define	REF_KW	330
#define	SELF_KW	331
#define	COACH_KW	332
#define	SCORE_KW	333
#define	LB	334
#define	RB	335
#define	META	336
#define	FREEFORM	337
#define	INFO	338
#define	ADVICE	339
#define	DEFINE	340
#define	DEFINEC	341
#define	DEFINED	342
#define	DEFINER	343
#define	DEFINEA	344
#define	VER	345
#define	NULL_REGION	346
#define	QUAD	347
#define	ARC	348
#define	PT	349
#define	REG	350
#define	POS	351
#define	HOME	352
#define	BALLTO	353
#define	MARK	354
#define	MARK_LINE	355
#define	OFFLINE	356
#define	HTYPE	357
#define	DO_DONT	358
#define	TEAM	359
#define	TRUE_KW	360
#define	FALSE_KW	361
#define	PPOS	362
#define	BPOS	363
#define	BOWNER	364
#define	AND	365
#define	OR	366
#define	NOT	367
#define	PLAY_M_KW	368
#define	CLEAR	369
#define	CHANGE_KW	370
#define	BALL_KW	371

