// -*-c++-*-

#ifndef _RCC_SCORE_H_
#define _RCC_SCORE_H_

#include <iostream.h>
#include "rccgarbage.h"
#include "rccsditem.h"

class RCC_Score : public RCC_GCable, public RCC_SD_Item
{
public:
  RCC_Score ( const int& t, const int& our_s, const int& opp_s ) : time_ ( t ), our_score ( our_s ), opp_score ( opp_s ) {}
  ~RCC_Score () {}

  RCC_SD_Item* copy () const { return ( RCC_SD_Item* ) new RCC_Score ( *this ); }

  ostream& print ( ostream& o ) const 
  {
    return o << "(score " << time_ << " " << our_score << " " << opp_score << ")";
  }
  ostream& print ( ostream& o, const Side& ) const { return print ( o ); } 

  int time () const { return time_; }
  int ourScore () const { return our_score; }
  int oppScore () const { return opp_score; }

protected:
  int time_;
  int our_score;
  int opp_score;
};

#endif
